import os
import unittest
from packgram import ManageModule, version

class SetupTest(unittest.TestCase):

    #Public
    
    def setUp(self):
        MockModule = self._make_mock_module()
        self.module = MockModule(meta_module=None, 
                                 meta_basedir=self._basedir)
    
    def test_long_description(self):
        self.assertRegex(self.module.long_description, 
                         '.*pip install packgram.*')
        
    def test_version(self):
        self.assertEqual(self.module.version, version)
        
    #Protected
    
    def _make_mock_module(self):
        class MockModule(ManageModule):
            #Public
            name = 'packgram'
        return MockModule
    
    @property
    def _basedir(self, *args):
        return os.path.join(os.path.dirname(__file__), '..', '..')